Page MenuHomeFreeBSD

textproc/fzf: Add shell examples directory
ClosedPublic

Authored by ultima on Aug 6 2017, 4:22 AM.

Details

Summary
  • Bump revision
  • Removed strip, stripping go is safe
  • Added examples

PR\: 221113
Submitted by\: Sascha Holzleiter <sascha@root-login.org> (maintainer)
Reviewed by\: lifanov (mentor), matthew (mentor)
Approved by\: lifanov (mentor), matthew (mentor)
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Test Plan

portlint:
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
0 fatal errors and 2 warnings found.

poudriere:
103i386
103amd64
110i386
110amd64
12i386
12amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 10936
Build 11324: arc lint + arc unit

Event Timeline

ultima created this revision.Aug 6 2017, 4:22 AM
mat added a comment.Aug 7 2017, 12:20 PM

I hope the summary is not what the commit message will be. Commit messages should be about why things are happening, not what you are doing. Here, something like "Stripping go binaries is fine and add examples" would be more like it. (Also, double negatives are a no.)

textproc/fzf/Makefile
29–31

PORTEXAMPLES only works when there is an EXAMPLES option.

ultima edited the summary of this revision. (Show Details)Aug 7 2017, 5:39 PM
ultima edited the summary of this revision. (Show Details)
mat added a comment.Aug 7 2017, 8:27 PM

(you still need to define an EXAMPLES option.)

ultima updated this revision to Diff 31730.Aug 7 2017, 11:12 PM

Added EXAMPLES

This revision is now accepted and ready to land.Aug 8 2017, 7:13 PM
This revision was automatically updated to reflect the committed changes.